Update inventory treatment setting
POST
/merchants/{merchantCode}/inventoryTreatmentSettings/{inventoryTreatmentSettingCode}
const url = 'https://catalog.shopgate.io/v1/merchants/example/inventoryTreatmentSettings/example';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","isPurchasable":true,"sequenceId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/inventoryTreatmentSettings/example \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "isPurchasable": true, "sequenceId": 1 }'Update inventory treatment setting
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
inventoryTreatmentSettingCode
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
isPurchasable
boolean
sequenceId
integer
Examplegenerated
{ "name": "example", "isPurchasable": true, "sequenceId": 1}Responses
Section titled “Responses”Inventory treatment setting updated
Media typeapplication/json
Merchant or inventory treatment setting not found
Media typeapplication/json
Conflict Error
Media typeapplication/json

